Bug 506169 - fv_* tests should support multiple image options
fv_* tests should support multiple image options
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 16:08 EDT by Rob Landry
Modified: 2014-03-25 20:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ====== fv_* tests requires the local fv image. Consequence: ============ fv_* tests will fail if the local fv image is not available. Fix: ==== let the fv_* tests download the fv images from the parter ftp site if those fv images are not present locally. Result: ======= fv_* tests will try to download the fv images from the parter ftp site if those fv images are not present locally.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 12:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fvtest.py rewrite (10.29 KB, text/plain)
2009-07-21 23:21 EDT, Greg Nichols
no flags Details
environment.py patch adding guest image parameters (3.66 KB, patch)
2009-07-21 23:24 EDT, Greg Nichols
no flags Details | Diff
v7 environment config file with defaults (833 bytes, text/plain)
2009-07-21 23:25 EDT, Greg Nichols
no flags Details

  None (edit)
Description Rob Landry 2009-06-15 16:08:31 EDT
Description of problem:

The fv tests require a pre-setup image to be installed locally on the dom0, this support should be expanded to include

1) Remote image acquisition:

 A) Automatically downloading from the ftp:partner site the test image
  a1) fixed path
  a2) highest version # of arch .img file

 B) a remote location via http/ftp (probably just wget?)
  b1) with default filename
        ex - 192.168.0.2/images/ {uses the names provided by 1)}
  b2) or specified full path
        ex - 192.168.0.2/images/x86_64-fv-hwcert.img


2) local image configuration
  A) as is now, use the predefined names/locations
   a1) inferred by A) or b1 in step 1)
  B) allow a CLI option to override
   b1) inferred by the use of b2) in step 1)


3) md5sum warning for using non-standard images
  A) add an md5sum lookup to the ftp:partner server for the file name
  B) if the file matches from this lookup move along regardless of source
  C) if there's no match then only add a warning to the INFO run in the dom0


thoughts?
Comment 1 Greg Nichols 2009-07-21 23:21:21 EDT
Created attachment 354641 [details]
fvtest.py rewrite

This rewrite of fvtest.py defines functions for downloading images automatically.  The outline for the process:

1) check the hosts /var/lib/xen/images for the image file.  If it's there,
use it.

2) check the v7 server (set via --server on the host), if found, download it
to /var/lib/xen/images.

3) if still not found, try the partners site, again downloading it to /var/lib/xen/images.

Note, there are actually three files:  the guest image, the data image, and the guest configuration files.

The names of these files are currently fixed at:

v7<arch>.img - guest image
v7data.img - data image
v7<arch> - config file, installed in /etc/xen
Comment 2 Greg Nichols 2009-07-21 23:24:06 EDT
Created attachment 354642 [details]
environment.py patch adding guest image parameters

The environment file /etc/v7.xml has added parameters for locations for guest image storage, and the partners' site image url.
Comment 3 Greg Nichols 2009-07-21 23:25:18 EDT
Created attachment 354643 [details]
v7 environment config file with defaults
Comment 6 zhanghaiyan 2009-08-17 02:43:22 EDT
Verified PASS on v7-1.0-14.el5 with RHEL5.4-Server-i386-xen

Setup environment:
No img files exist.

Test step:
1. # v7 clean
2. # v7 plan
3. # v7 run -t fv_core

v7 first check no image files exist locally, then downloaded from partner site, after that run on the guest finally.
Comment 9 YangKun 2009-08-21 02:36:44 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
======
fv_* tests requires the local fv image.

Consequence:
============
fv_* tests will fail if the local fv image is not available.

Fix:
====
let the fv_* tests download the fv images from the parter ftp site if those fv images are not present locally.

Result:
=======
fv_* tests will try to download the fv images from the parter ftp site if those fv images are not present locally.
Comment 10 errata-xmlrpc 2009-08-27 12:35:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html

Note You need to log in before you can comment on or make changes to this bug.